mpc85xx_rio_doorbell_send
Prev | PPC32 support | Next

## Name

mpc85xx_rio_doorbell_send — Send a MPC85xx doorbell message

## Synopsis

`int mpc85xx_rio_doorbell_send (` | int | index,
| u16 | destid,
| u16 | data`)`;

## Arguments

`index`

  ID of RapidIO interface

`destid`

  Destination ID of target device

`data`

  16-bit info field of RapidIO doorbell message

## Description

Sends a MPC85xx doorbell message. Returns `0` on success or `-EINVAL` on failure.

Prev | Up | Next
rio_hw_get_inb_message | Home | mpc85xx_local_config_read